From 0c2eeb33e0cfc34997ce66233a43363bd34bffde Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Thu, 8 Aug 2024 08:13:48 +0200
Subject: [PATCH v2 1/3] Rename regress test generated to generated_stored

This makes naming room to have another test file for virtual generated
columns.

Discussion: https://www.postgresql.org/message-id/flat/a368248e-69e4-40be-9c07-6c3b5880b0a6@eisentraut.org
---
 .../regress/expected/{generated.out => generated_stored.out}    | 0
 src/test/regress/parallel_schedule                              | 2 +-
 src/test/regress/sql/{generated.sql => generated_stored.sql}    | 0
 3 files changed, 1 insertion(+), 1 deletion(-)
 rename src/test/regress/expected/{generated.out => generated_stored.out} (100%)
 rename src/test/regress/sql/{generated.sql => generated_stored.sql} (100%)

diff --git a/src/test/regress/expected/generated.out b/src/test/regress/expected/generated_stored.out
similarity index 100%
rename from src/test/regress/expected/generated.out
rename to src/test/regress/expected/generated_stored.out
diff --git a/src/test/regress/parallel_schedule b/src/test/regress/parallel_schedule
index 2429ec2bbaa..b0804691f5d 100644
--- a/src/test/regress/parallel_schedule
+++ b/src/test/regress/parallel_schedule
@@ -66,7 +66,7 @@ test: select_into select_distinct select_distinct_on select_implicit select_havi
 # ----------
 # Another group of parallel tests
 # ----------
-test: brin gin gist spgist privileges init_privs security_label collate matview lock replica_identity rowsecurity object_address tablesample groupingsets drop_operator password identity generated join_hash
+test: brin gin gist spgist privileges init_privs security_label collate matview lock replica_identity rowsecurity object_address tablesample groupingsets drop_operator password identity generated_stored join_hash
 
 # ----------
 # Additional BRIN tests
diff --git a/src/test/regress/sql/generated.sql b/src/test/regress/sql/generated_stored.sql
similarity index 100%
rename from src/test/regress/sql/generated.sql
rename to src/test/regress/sql/generated_stored.sql

base-commit: e56ccc8e4204d9faf86f3bd2e435a0788b3d0429
-- 
2.46.0

